﻿module calendar_top(
    clk    ,
    rst_n  ,
    key_col,
    key_row,
    segment,
    seg_sel
    );

   
    parameter   SEG_NUM =     8    ;
    parameter   SEG_W   =     8    ;

    
    input                  clk     ;
    input                  rst_n   ;
    input  [3:0]           key_col ;


    
    output [SEG_W-1:0]     segment ;
    output [SEG_NUM-1:0]   seg_sel ;
    output [3:0]           key_row ;

    
    wire   [SEG_W-1:0]     segment ;
    wire   [SEG_NUM-1:0]   seg_sel ;
    
    wire   [3:0]           key_num ;
    wire                   key_vld ;
    wire   [4*SEG_NUM-1:0] data_out;
    wire   [SEG_NUM-1:0]   din_vld ;

    assign din_vld = 8'b11111111   ;

    key_scan      u_key_scan(
                             .clk    (clk    )           ,
                             .rst_n  (rst_n  )           ,
                             .key_col(key_col)           ,
                             .key_row(key_row)           ,
                             .key_num(key_num)           ,
                             .key_vld(key_vld)   
                            );

    seg_display   u_seg_display(
                             .clk     (clk     )         ,
                             .rst_n   (rst_n   )         ,
                             .din     (data_out)         ,
                             .din_vld (din_vld )         ,      
                             .segment (segment )         ,
                             .seg_sel (seg_sel )
                        );

    counter    u_counter(
                            .clk          (clk          ),//50MHz
                            .rst_n        (rst_n        ),
                            .key_vld      (key_vld      ),
                            .key_num      (key_num      ),
                            .dout         (data_out     )
                         );
    endmodule

